Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.servicecore
Interface LeaseListener

All Known Implementing Classes:
  LeasedListManager, LeaseListenerAdapter

    public interface LeaseListener

This interface defines the mechanism through which an entity receives notification that the ResourceLessor has determined that a lease has failed to renew itself and has been removed as a LeasedResource, or that an entity has cancelled it lease and has been removed as a LeasedResource. It is the responsibility of the entity to register with the ResourceLessor. The object that implements this interface should define the actions to take upon receipt of such notifications. Note that prior to sending the event, the ResourceLessor will remove the LeasedResource

Method Summary
`void` | `expired(LeasedResource resource)` Notifies the manager of a lease expiration
`void` | `register(LeasedResource resource)` Notifies the manager of a new lease being created.
`void` | `removed(LeasedResource resource)` Notifies the manager of a lease removal
`void` | `renewed(LeasedResource resource)` Notifies the manager of a lease renewel

Method Detail

### register

    void register(LeasedResource resource)

  Notifies the manager of a new lease being created.

  Parameters:
    `resource` - The resource associated with the new Lease.

### expired

    void expired(LeasedResource resource)

  Notifies the manager of a lease expiration

  Parameters:
    `resource` - The resource associated with the expiration

### removed

    void removed(LeasedResource resource)

  Notifies the manager of a lease removal

  Parameters:
    `resource` - The resource associated with the removal

### renewed

    void renewed(LeasedResource resource)

  Notifies the manager of a lease renewel

  Parameters:
    `resource` - The resource associated with the renewal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.